All pages
Powered by GitBook
1 of 1

Loading...

Activate template

Activates a notification template.

post

Activates the template, making it available for sending notifications. Only active templates can be used.

Path parameters
idstringRequired

A notification template ID.

Responses
200

OK

application/json

Represents a reusable template that can be used to generate messages.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional

Gets or sets the description of the category.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this category was last used to send a notification.

accountTypesstring[]Optional

Gets or sets the list of account types for which this template should trigger.

filterConditionstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

objectTypestringOptional

Gets or sets the platform object type this template monitors.

selectorstringOptional

Gets or sets the RQL filter condition that must be satisfied for the template to trigger.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

descriptionstring · nullableOptional

Gets or sets the description of this template.

lastUsedstring · date-time · nullableOptional

Gets or sets the timestamp of when this template was last used to send a notification.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
monthinteger · int32Optional

Gets or sets the number of messages sent in the current month.

todayinteger · int32Optional

Gets or sets the number of messages sent today.

weekinteger · int32Optional

Gets or sets the number of messages sent in the current week.

statusstringOptional

Gets or sets the current status of the template.

idstringOptional
revisioninteger · int32Optional
defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

externalIdstring · nullableOptional

Gets or sets an external identifier for integration with external systems.

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/notifications/templates/{id}/activate
POST /public/v1/notifications/templates/{id}/activate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "activated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deleted": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "disabled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "category": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "description": "text",
    "lastUsed": "2026-01-01T00:00:00.000Z"
  },
  "criteria": {
    "accountTypes": [
      "text"
    ],
    "filterCondition": "text",
    "objectType": "text",
    "recipients": {
      "selector": "text"
    }
  },
  "defaultVariant": {
    "id": "text",
    "revision": 1,
    "default": true,
    "languageCode": "text",
    "status": "text"
  },
  "description": "text",
  "lastUsed": "2026-01-01T00:00:00.000Z",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "statistics": {
    "month": 1,
    "today": 1,
    "week": 1
  },
  "status": "text",
  "variants": [
    {
      "id": "text",
      "revision": 1,
      "default": true,
      "languageCode": "text",
      "status": "text"
    }
  ],
  "externalId": "text"
}